#
# spec file for package stlink
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           stlink
Version:        1.2.0
Release:        lp150.1.4
Summary:        STM32 discovery line linux programmer
License:        BSD-3-Clause
Group:          Development/Tools/Debuggers
Url:            https://github.com/texane/stlink
Source0:        https://github.com/texane/stlink/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk3-devel
BuildRequires:  pkg-config
BuildRequires:  udev
BuildRequires:  pkgconfig(libusb-1.0)
Requires:       udev
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 microcontrollers.

%package        gui
Summary:        GUI for STM32 discovery line linux programmer
Group:          Development/Tools/Debuggers
Requires:       %{name} = %{version}

%description    gui
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 microcontrollers.

%prep
%setup -q

%build
autoreconf -fi
%configure \
    --with-gtk

make %{?_smp_mflags}

%install
%make_install
install -d %{buildroot}/%{_udevrulesdir}/
install -D -m 0644 49-stlink*.rules %{buildroot}/%{_udevrulesdir}/

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/st-*
%{_udevrulesdir}/49-stlink*

%files gui
%defattr(-,root,root)
%{_bindir}/stlink-gui
%{_datadir}/stlink/

%changelog
* Sun May  8 2016 dmitry_r@opensuse.org
- Update to version 1.2.0
  * Add multiple stlink probing (`st-info --probe`, `st-info --hla-serial`)
    with printing serial in hex and OpenOCD `hla_serial` format
  * Add stlink usb probe API functions
  * Added parameter to specify one stlink v2 of many
  * Chip support added for: STM32L053R8, STM32F7, STM32L4, F446,
    STM32F303 High Density, STM32L1xx Cat.2 devices
  * Board support added for: Nucleo-F303RE, Nucleo-F411RE
  * Minor fixes and updates
* Fri Apr  3 2015 dmitry_r@opensuse.org
- Update to version 1.1.0
  * New devices support, see included README file
  * Bugfixes
* Wed Jun 11 2014 dmitry_r@opensuse.org
- Add COPYING and README to package documentation
* Fri Jun  6 2014 dmitry_r@opensuse.org
- Initial package, version 1.0.0
